IRremoteESP8266

Public Attributes | List of all members
SanyoAc88Protocol Union Reference

Native representation of a Sanyo 88-bit A/C message. More...

`#include <ir_Sanyo.h>`

## Public Attributes
uint8_t | raw [kSanyoAc88StateLength]
| The state in IR code form. More...
struct {
uint8_t __pad0__:8
uint8_t __pad1__:8
uint8_t Fan:2
uint8_t __pad2__:2
uint8_t Mode:3
uint8_t Power:1
uint8_t Temp:5
uint8_t Filter:1
uint8_t SwingV:1
uint8_t __pad3__:1
uint8_t ClockSecs:8
uint8_t ClockMins:8
uint8_t ClockHrs:8
uint8_t __pad4__:8
uint8_t __pad5__:8
uint8_t __pad6__:8
uint8_t __pad7__:3
uint8_t Turbo:1
uint8_t EnableStartTimer:1
uint8_t EnableStopTimer:1
uint8_t Sleep:1
uint8_t __pad8__:1
}; |

## Detailed Description

Native representation of a Sanyo 88-bit A/C message.

## Member Data Documentation

## ◆ @108

struct { ... }

## ◆ __pad0__

uint8_t SanyoAc88Protocol::__pad0__

## ◆ __pad1__

uint8_t SanyoAc88Protocol::__pad1__

## ◆ __pad2__

uint8_t SanyoAc88Protocol::__pad2__

## ◆ __pad3__

uint8_t SanyoAc88Protocol::__pad3__

## ◆ __pad4__

uint8_t SanyoAc88Protocol::__pad4__

## ◆ __pad5__

uint8_t SanyoAc88Protocol::__pad5__

## ◆ __pad6__

uint8_t SanyoAc88Protocol::__pad6__

## ◆ __pad7__

uint8_t SanyoAc88Protocol::__pad7__

## ◆ __pad8__

uint8_t SanyoAc88Protocol::__pad8__

## ◆ ClockHrs

uint8_t SanyoAc88Protocol::ClockHrs

## ◆ ClockMins

uint8_t SanyoAc88Protocol::ClockMins

## ◆ ClockSecs

uint8_t SanyoAc88Protocol::ClockSecs

## ◆ EnableStartTimer

uint8_t SanyoAc88Protocol::EnableStartTimer

## ◆ EnableStopTimer

uint8_t SanyoAc88Protocol::EnableStopTimer

## ◆ Fan

uint8_t SanyoAc88Protocol::Fan

## ◆ Filter

uint8_t SanyoAc88Protocol::Filter

## ◆ Mode

uint8_t SanyoAc88Protocol::Mode

## ◆ Power

uint8_t SanyoAc88Protocol::Power

## ◆ raw

uint8_t SanyoAc88Protocol::raw[kSanyoAc88StateLength]

The state in IR code form.

## ◆ Sleep

uint8_t SanyoAc88Protocol::Sleep

## ◆ SwingV

uint8_t SanyoAc88Protocol::SwingV

## ◆ Temp

uint8_t SanyoAc88Protocol::Temp

## ◆ Turbo

uint8_t SanyoAc88Protocol::Turbo

The documentation for this union was generated from the following file:

- src/ir_Sanyo.h